***BA Marr Fert
*Education and stall intro figures
*v2
*Libby Kula
*Original: 7/16/2020
*Updated:


clear
set scheme s1mono

********
*Figure 1: WDI data on stall
******** 

import excel using "WDI Fig 1/WDI_data2.xlsx", first clear

drop D-G
 



graph twoway (connected TFR Year if Country=="Algeria", color (gs13) graphregion(color(white)) ///
lpattern("l") msymbol(D)) ///
(connected TFR Year if Country=="Egypt", color(gs11) ///
 lpattern("l") msymbol(S)) || ///
(connected TFR Year if Country=="Iraq", color(gs7) ///
 lpattern(dash) msymbol(T)) || ///
(connected TFR Year if Country=="Jordan", color(gs1) ///
 lpattern("l") msymbol(O)) || ///
(connected TFR Year if Country=="Morocco", color(gs5) ///
 lpattern(dash) msymbol(+)) || ///
(connected TFR Year if Country=="Oman", color(gs9) ///
 lpattern(dash) msymbol(Oh)) || ///
 , xtitle("Year") ytitle("Total fertility rate (births per woman)") ///
xtick(1995(1)2018) xla(1995(2)2018, val) plotregion(margin(b=0))  ///
ylabel(2(0.5)6) ///
legend(label(1 "Algeria") label(2 "Egypt") label(3 "Iraq") label(4 "Jordan") label(5 "Morocco") label(6 "Oman")) 

graph save "Graphs and Tables/Fig 1.gph", replace
graph export "Graphs and Tables/Fig 1.png", replace


