***BA Marr Fert
*Master do file
*v47 - for Demographic Research Publication Replication
*Caroline Krafft, Libby Kula
*Original: 11/19/17
*Updated: 2021.06.25

*Directory
*Replication
cd "/Users/Caroline/Documents/My Publications/Data replications/DR 2021/Data and do files"

*Clear
clear
estimates clear

*Version
version 14.2

*Graph style
graph set window fontface "Arial"

*Log
capture log close
*log using "Logs/BA Marr Fert Jordan log 2021.04.15.log", replace

*Install programs
capture ssc install estout
capture ssc install tfr2

**************************************
* JLMPS 
**************************************

*Education and stall intro trend
do "Do files/BA Intro desc v3 CK.do"

*******
*Marriage
******

*Data creation
do "Do files/BA Marr data creation v9 CK.do"

*Descriptives
do "Do files/BA Marr desc v15 CK.do"


*******
*Fertility
******

*Data creation
do "Do files/BA Fert data creation v9 CK.do"

*Descriptives
do "Do files/BA Fert desc v15 EK.do"

**************************************
* DHS 
**************************************

*Data splitting of ever-married women files for STATA IC use
do "Do files/DHS data splitting v5 CK.do"

*Unmarried women
do "Do files/DHS unmarried women v7 CK.do"

*Data/covariate prep for DHS
do "Do files/DHS data prep v8 EK.do"


*******
*Marriage
******

*Descriptives
do "Do files/DHS Marr desc v28 CK.do"


*Annualized data creation
do "Do files/DHS Marr data creation v4 CK.do"

*******
*Fertility
******

*Descriptives
do "Do files/DHS Fert desc v40 CK.do"

*Annualized data creation
do "Do files/DHS Fert data creation v6 CK.do"


*******
*Contraception
******

*Descriptives
do "Do files/DHS Contra desc v26 CK.do"

**************************************
* Bongaarts decomposition
**************************************
do "Do files/DHS Bongaarts decomp v15 CK.do"

**************************************
* DHS & JLMPS modeling
**************************************
*DHS and JLMPS in the same do files to make consistencey easier

*Marriage
do "Do files/BA Marr models v14 CK.do"

*Fertility
do "Do files/BA Fert models v15 CK.do"

*Contraceptives
do "Do files/DHS Contra model v5 CK.do"

*log close


