***BA Marr Fert
*Descriptives
*v15
*Caroline Krafft, Libby Kula
*Original: 11/19/17
*Updated: 7/18/20

clear
set scheme s1mono


*************************************
* 2010 Jordanian women
*************************************

use "Data/JLMPS 2016 rep xs v1.1.dta", clear

*Jordanians only
keep if nationality_cl==1

*Adults only, ages 15-49
keep if age>=15 & age<=49

*Women only
keep if sex==2

*Slight cleaning of birth year to align with age for expansion
replace visit_y=2010 if round==2010
tabu brthyr, miss
replace brthyr=visit_y-age if brthyr==.
replace brthyr=visit_y-age if brthyr+age>visit_y & brthyr!=. & age!=.
replace brthyr=visit_y-age if brthyr+age<visit_y-1 & brthyr!=. & age!=. & visit_y!=.
replace brthyr=round-age if brthyr+age<visit_y-1 & brthyr!=. & age!=. & visit_y==.

*Valid in individual data only
keep if expan_indiv!=.

*Ever married
gen evermarried=0 if marital==1
replace evermarried=1 if marital>=2 & marital<=5

tabu evermarried marital, miss

*Generate age at marriage, current age if not married
gen agemarr=.
replace agemarr=age if evermarried==0
replace agemarr=age1stmarr if evermarried==1
*Slight cleaning
replace agemarr=age if agemarr>age & agemarr!=. & age!=.

tabu agemarr evermarried, miss

*Final education
tab educ1d

recode educ1d (1/3=1)(4=2)(5/7=3), gen(educ_3cat)

tabu educ_3cat educ1d, miss

label define Leduc_3cat 1 "Less than Secondary" 2 "Secondary" 3 "Higher"

label val educ_3cat Leduc_3cat
label var educ_3cat "Education level (three categories)" 
 
keep if round==2010 
 
save "Data/Eat/JLMPS 2010 Jordanian women.dta", replace
 
