***Jordan DHS 
*Fert desc
*v39
*Libby Kula, Caroline Krafft
*Original: 3/9/2020
*Updated: 2021.04.15

clear
set scheme s1mono

use "Data/DHS_with_characteristics all.dta", clear

********************
*Spouse stats
********************

*Among currently married, % with absent spouse
tabu v504 round [aw=sample_wt], col nofreq
*By parity
gen abs=v504==2 if v504!=.
table v201 round [pw=sample_wt], c(mean abs) row

tabu v504 round [aw=sample_wt], col nofreq


*Marital status, overall
tabu marital round [aw=sample_wt], col nofreq

*Marital status, among married
tabu marital round if marital!=0 [aw=sample_wt], col nofreq
tabu v501 round [aw=sample_wt], col nofreq

sum age if v501==3 | v501==4 [aw=sample_wt], detail

*By parity
gen div_sep=marital==2 if marital!=.
table v201 round [pw=sample_wt], c(mean div_sep) row



******************************************
* TFRs & ASFRs
******************************************

*JORDANIAN FERTILITY 2017/18 
tfr2 [pw=sample_wt] if  round==2017, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactn)  saverates("Data/Eat/DHSJordASFRs201718.dta", replace)
tfr2 [pw=sample_wt] if  round==2017, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactn) mac


***2017/18 by chars

*Education level
tfr2 [pw=sample_wt] if  educ_3cat==1 & round==2017, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactne) saverates("Data/Eat/DHSJordASFRs201718_less.dta", replace)
tfr2 [pw=sample_wt] if  educ_3cat==2 & round==2017, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactne) saverates("Data/Eat/DHSJordASFRs201718_sec.dta", replace)
tfr2 [pw=sample_wt] if  educ_3cat==3 & round==2017, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactne) saverates("Data/Eat/DHSJordASFRs201718_high.dta", replace)

*2012
tfr2 [pw=sample_wt] if  round==2012, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactn) saverates("Data/Eat/DHSJordASFRs2012.dta", replace)
tfr2 [pw=sample_wt] if  round==2012, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactn) mac


*Education level
tfr2 [pw=sample_wt] if  educ_3cat==1 & round==2012, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactne) saverates("Data/Eat/DHSJordASFRs2012_less.dta", replace)
tfr2 [pw=sample_wt] if  educ_3cat==2 & round==2012, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactne) saverates("Data/Eat/DHSJordASFRs2012_sec.dta", replace)
tfr2 [pw=sample_wt] if  educ_3cat==3 & round==2012, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactne) saverates("Data/Eat/DHSJordASFRs2012_high.dta", replace)

*2009 
tfr2 [pw=sample_wt] if  round==2009, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactn) saverates("Data/Eat/DHSJordASFRs2009.dta", replace)

tfr2 [pw=sample_wt] if  round==2009, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactn) mac

*Education level
tfr2 [pw=sample_wt] if  educ_3cat==1 & round==2009, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactne) saverates("Data/Eat/DHSJordASFRs2009_less.dta", replace)
tfr2 [pw=sample_wt] if  educ_3cat==2 & round==2009, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactne) saverates("Data/Eat/DHSJordASFRs2009_sec.dta", replace)
tfr2 [pw=sample_wt] if  educ_3cat==3 & round==2009, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactne) saverates("Data/Eat/DHSJordASFRs2009_high.dta", replace)

*2007
tfr2 [pw=sample_wt] if  round==2007, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactn) saverates("Data/Eat/DHSJordASFRs2007.dta", replace)

tfr2 [pw=sample_wt] if  round==2007, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactn) mac 

*Education level
tfr2 [pw=sample_wt] if  educ_3cat==1 & round==2007, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactne) saverates("Data/Eat/DHSJordASFRs2007_less.dta", replace)
tfr2 [pw=sample_wt] if  educ_3cat==2 & round==2007, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactne) saverates("Data/Eat/DHSJordASFRs2007_sec.dta", replace)
tfr2 [pw=sample_wt] if  educ_3cat==3 & round==2007, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactne) saverates("Data/Eat/DHSJordASFRs2007_high.dta", replace)

*2002
tfr2 [pw=sample_wt] if  round==2002, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactn) saverates("Data/Eat/DHSJordASFRs2002.dta", replace)

tfr2 [pw=sample_wt] if  round==2002, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactn) mac

*Education level
tfr2 [pw=sample_wt] if  educ_3cat==1 & round==2002, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactne) saverates("Data/Eat/DHSJordASFRs2002_less.dta", replace)
tfr2 [pw=sample_wt] if  educ_3cat==2 & round==2002, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactne) saverates("Data/Eat/DHSJordASFRs2002_sec.dta", replace)
tfr2 [pw=sample_wt] if  educ_3cat==3 & round==2002, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactne) saverates("Data/Eat/DHSJordASFRs2002_high.dta", replace)

***************************
*Single year TFR trends 
***************************

**2017/18 DHS
tfr2 [pw=sample_wt] if  round==2017, bvar(cmcyrbirth_*) len(10) date(cmcintdate) wb(cmcbrthdate) ageg(5) trend(1) se awf(awfactn) savetrend("Data/Eat/TFRtrend_DHS_201718", replace)

**2012 DHS
tfr2 [pw=sample_wt] if  round==2012, bvar(cmcyrbirth_*) len(10) date(cmcintdate) wb(cmcbrthdate) ageg(5) trend(1) se awf(awfactn) savetrend("Data/Eat/TFRtrend_DHS_2012", replace)

**2009 DHS
tfr2 [pw=sample_wt] if  round==2009, bvar(cmcyrbirth_*) len(10) date(cmcintdate) wb(cmcbrthdate) ageg(5) trend(1) se awf(awfactn) savetrend("Data/Eat/TFRtrend_DHS_2009", replace)


***************************
* TFR ALL NATIONALITIES
***************************
use "Data/Eat/DHS_with_characteristics all nationalities.dta", clear
tfr2 [pw=sample_wt] if  round==2017, bvar(cmcyrbirth_*) len(3) date(cmcintdate) wb(cmcbrthdate) ageg(5) awf(awfactn) saverates("Data/Eat/DHSAllNatsASFRs201718.dta", replace)

*********************
* TFRs 2000-2017
*********************
use "Data/Eat/DHSJordASFRs201718.dta", clear
gen dhs1718=1
append using "Data/Eat/DHSJordASFRs2012.dta", gen(dhs12)
append using "Data/Eat/DHSJordASFRs2009.dta", gen(dhs09)
append using "Data/Eat/DHSJordASFRs2007.dta", gen(dhs07)
append using "Data/Eat/DHSJordASFRs2002.dta", gen(dhs02)

*JLMPS
append using "Data/Eat/JordASFRs2016.dta", gen(jlmps16)
append using "Data/Eat/JordASFRs2010.dta", gen(jlmps10)

*Civil Status and Passports Division
append using "DOS data/CSPDJordASFRs2017.dta", gen(cspd)


replace age=. if age==52.5

drop if age != .
drop age

*Year
replace year = 2017 if dhs1718==1
replace year = 2012 if dhs12==1
replace year = 2009 if dhs09==1
replace year = 2007 if dhs07==1
replace year = 2002 if dhs02==1
replace year = 2016 if jlmps16==1
replace year = 2010 if jlmps10==1

ren rates1 tfr
gen survey = 1 if dhs02==1 | dhs07==1 | dhs09==1 | dhs12==1 |  dhs1718==1
replace survey = 2 if jlmps10==1 | jlmps16==1
replace survey = 3 if cspd==1
label define srvs 1 "DHS" 2 "JLMPS" 3 "CSPD"
lab val survey srvs

drop dhs* jlmps* cspd

gen rnd_tfr = round(tfr, .1)

****Graphing***
graph twoway (connected tfr year if survey == 1, color(gs5) mlabel(rnd_tfr) ///
 mlabsize(medium) mlabposition(6))|| ///
 (scatter tfr year if survey == 2, color(gs1) mlabel(rnd_tfr) ///
 mlabsize(medium) mlabposition(12) mlabgap(2)) || ///
  (connected tfr year if survey == 3, color(gs10) mlabel(rnd_tfr) msymbol(o) msize(3) ///
 mlabsize(medium) mlabposition(6) mlabgap(-1)) ///
 , xtitle("Year") ytitle("Total fertility rate (births per woman)")  ///
 xlabel(2002(1)2017, angle(45)) ///
 ytick(0(1)5) ylabel(0(1)5) ///
 legend(row(1) label(1 "JPFHS") label(2 "JLMPS") label(3 "CSPD")) plotregion(margin(medium)) ///
 plotregion(m(b=0)) 
 
graph display

/* Figure 2. TFR over time */
graph save "Graphs and Tables/TFR_overtime.gph", replace
graph export "Graphs and Tables/TFR_overtime.png", replace


***************************************
**** Graphing retrospective single-year TFR trends , adding slight jitter
**************************************
use "Data/Eat/TFRtrend_DHS_201718", clear
gen year = round(date)+.05
gen round=2017
save "Data/Eat/TFRtrend_DHS_201718_round", replace

use "Data/Eat/TFRtrend_DHS_2012", clear
gen year = round(date)+.025
gen round=2012
save "Data/Eat/TFRtrend_DHS_2012_round", replace

use "Data/Eat/TFRtrend_DHS_2009", clear
gen year = round(date)
gen round=2009
save "Data/Eat/TFRtrend_DHS_2009_round", replace

use "Data/Eat/TFRtrend_2010", clear
gen year = round(date) -1.025
gen round=2010
save "Data/Eat/TFRtrend_2010_round", replace

use "Data/Eat/TFRtrend_2016", clear
gen year = round(date) - 1.05
gen round=2016
save "Data/Eat/TFRtrend_2016_round", replace

use "Data/Eat/TFRtrend_DHS_201718_round", clear
append using "Data/Eat/TFRtrend_DHS_2012_round"
append using "Data/Eat/TFRtrend_DHS_2009_round"
append using "Data/Eat/TFRtrend_2010_round"
append using "Data/Eat/TFRtrend_2016_round"

sort year round

*Line graphs with confidence intervals
gen hi_TFR = TFR + 1.96*se
gen lo_TFR = TFR - 1.96*se

drop if year<2001.5

graph twoway line TFR year if round==2009, ///
  lcolor(gs13) lpattern("l") plotregion(margin(b=0))  || ///
 line TFR year if round==2012, ///
  lcolor(gs10) lpattern("l") plotregion(margin(b=0))  || ///
 line TFR year if round==2017, ///
  lcolor(gs7) lpattern("l") plotregion(margin(b=0))  || ///
 line TFR year  if round==2010, ///
  lcolor(gs13) lpattern(dash) plotregion(margin(b=0))  || ///
 line TFR year  if round==2016, ///
  lcolor(gs1) lpattern(dash) plotregion(margin(b=0))  || ///
 rcap hi_TFR lo_TFR year  if round==2009, ///
  lcolor(gs13) lpattern("l") plotregion(margin(b=0)) || ///
 rcap hi_TFR lo_TFR year if round==2012, ///
  lcolor(gs10) lpattern("l") plotregion(margin(b=0))  || ///
 rcap hi_TFR lo_TFR year if round==2017, ///
  lcolor(gs7) lpattern("l") plotregion(margin(b=0)) || ///
 rcap hi_TFR lo_TFR year if round==2010, ///
  lcolor(gs13) lpattern("l") plotregion(margin(b=0))  || ///
 rcap hi_TFR lo_TFR year if round==2016, ///
  lcolor(gs1) lpattern("l") plotregion(margin(b=0))  || ///
 , xtitle("Year") ytitle("Total fertility rate (births per woman)") ///
  ytick(0(1)5) ylabel(0(1)5) ///
  xtick(2002(1)2017)  xlabel(2002(1)2017, angle(45)) /// 
 legend(on order(1 4 2 5 3) label(1 "JPFHS 2009") label(2 "JPFHS 2012") label(3 "JPFHS 2017/18") label(4 "JLMPS 2010") label(5 "JLMPS 2016"))

/* Figure 3. Retrospective single-year TFR trends */
graph save "Graphs and Tables/TFRtrend_all_yesci.gph", replace
graph export "Graphs and Tables/TFRtrend_all_yesci.png", replace


*********************
* Graphing ASFRs by survey 
*********************
use "Data/Eat/DHSJordASFRs201718.dta", clear
gen dhs1718=1
append using "Data/Eat/DHSJordASFRs2012.dta", gen(dhs12)
append using "Data/Eat/DHSJordASFRs2009.dta", gen(dhs09)

*JLMPS
append using "Data/Eat/JordASFRs2016.dta", gen(jlmps16)

*Civil Status and Passports Division
append using "DOS data/CSPDJordASFRs2017.dta", gen(cspd)


replace age=. if age==52.5
drop if age == .

*Year
replace year = 2017 if dhs1718==1
replace year = 2012 if dhs12==1
replace year = 2009 if dhs09==1
replace year = 2016 if jlmps16==1
replace year = 2017 if cspd==1

ren rates1 asfr
replace asfr = asfr*1000 if cspd!=1

gen age_group = floor(age)

label define agegrps 17 "15–19" 22 "20–24" 27 "25-29" 32 "30-34" ///
37 "35-39" 42 "40-44" 47 "45-49"
lab val age_group agegrps

graph twoway (connected asfr age_group if year == 2009, color(gs13)  ///
 lpattern("l") msymbol(D)) || ///
(connected asfr age_group if year == 2012, color(gs10)  ///
 lpattern("l") msymbol(S)) || ///
(connected asfr age_group if year == 2017 & dhs1718==1, color(gs7)  ///
 lpattern("l") msymbol(T)) || ///
(connected asfr age_group if year == 2016, color(gs1)  ///
 lpattern(dash) msymbol(X)) || ///
(connected asfr age_group if year == 2017 & cspd==1, color(gs1)  ///
 lpattern("l") msymbol(o)) || ///
 , xtitle("Age Group") ytitle("ASFR (births per thousand women)") ///
xtick(17(5)47) xla(17(5)47, val) plotregion( m(b=0) ) ///
legend(label(1 "JPFHS 2009") label(2 "JPFHS 2012") label(3 "JPFHS 2017/18") label(4 "JLMPS 2016") label(5 "CSPD 2017"))

graph display

/* Figure 4. Age-specific fertility rates (ASFRs, births per thousand women) */
graph save "Graphs and Tables/ASFRs_by_survey.gph", replace
graph export "Graphs and Tables/ASFRs_by_survey.png", replace


****************************
* Graphing Fert by ed over time (3 categories)
****************************

clear

*DHS 
foreach y in 02 07 09 12 1718 {
	foreach e in less sec high {
		append using "Data/Eat/DHSJordASFRs20`y'_`e'.dta", ///
		gen(`e'`y')
	}
}

*JLMPS
foreach y in 10 16 {
	foreach e in less sec high {
		append using "Data/Eat/JordASFRs20`y'_`e'.dta", ///
		gen(`e'`y')
	}
}

gen educ3 = .

foreach y in 02 07 09 12 1718 10 16 {
	replace educ3 = 1 if less`y' == 1
	replace educ3 = 2 if sec`y' == 1
	replace educ3 = 3 if high`y' == 1
}

*Education
label define Educ_3 1 "Less than secondary" 2 "Secondary" 3 "Higher education"
label values educ3 Educ_3

replace age=. if age==52.5


*Year
gen year = .
replace year = 2017 if less1718==1 | sec1718==1 | high1718==1
replace year = 2012 if less12==1 | sec12==1 | high12==1
replace year = 2009 if less09==1 | sec09==1 | high09==1
replace year = 2007 if less07==1 | sec07==1 | high07==1
replace year = 2002 if less02==1 | sec02==1 | high02==1
replace year = 2016 if less16==1 | sec16==1 | high16==1
replace year = 2010 if less10==1 | sec10==1 | high10==1
label define yr1718 2017 "2017/2018"
sort year educ3 age 

ren rates1 tfr
gen survey = .
replace survey = 1 if year == 2002 | year == 2007 | year == 2009 | year == 2012 | year == 2017
replace survey = 2 if year == 2010 | year == 2016
label define srvs 1 "DHS" 2 "JLMPS"
lab val survey srvs

****Graphing TFR by ed over time***
preserve
keep if age == .

graph twoway (connected tfr year if educ3 == 1 & survey == 1, color(gs7) ///
 msymbol(0)) || ///
 (connected tfr year if educ3 == 2 & survey == 1, color(gs7) msymbol(D)) || ///
 (connected tfr year if educ3 == 3 & survey == 1, color(gs7) msymbol(S)) || ///
 (scatter tfr year if educ3 == 1 & survey == 2, color(gs1) msymbol(0)) || ///
 (scatter tfr year if educ3 == 2 & survey == 2, color(gs1) msymbol(D)) || ///
 (scatter tfr year if educ3 == 3 & survey == 2, color(gs1) msymbol(S)) ///
 , xtitle("Year") ytitle("Total fertility rate (births per woman)") ///
 xlabel(2002(1)2017, angle(45)) ///
 ytick(0(1)5) ylabel(0(1)5) plotregion(margin(b=0)) ///
 legend(label(1 "Less than secondary (JPFHS)") label(2 "Secondary (JPFHS)") ///
 label(3 "Higher (JPFHS)") label(4 "Less than secondary (JLMPS)") label(5 "Secondary (JLMPS)") ///
 label(6 "Higher (JLMPS)") order(1 4 2 5 3 6)) 

graph display

/* Figure 5. TFR by education over time */
graph save "Graphs and Tables/TFR_ed_overtime.gph", replace
graph export "Graphs and Tables/TFR_ed_overtime.png", replace

restore

****Graphing ASFR by ed***
drop date less* sec* high* 
drop if age == .

sort year age educ3

gen age_group = floor(age)
gen asfr = tfr*1000

label define agegrps 17 "15-19" 22 "20-24" 27 "25-29" 32 "30-34" ///
37 "35-39" 42 "40-44" 47 "45-49"
lab val age_group agegrps

graph twoway (connected asfr age_group if year == 2009, color(gs13) by(educ3, note("")) ///
 lpattern("l") msymbol(D)) || ///
(connected asfr age_group if year == 2012, color(gs10) by(educ3) ///
 lpattern("l") msymbol(S)) || ///
(connected asfr age_group if year == 2017, color(gs7) by(educ3) ///
 lpattern("l") msymbol(T)) || ///
(connected asfr age_group if year == 2016, color(gs1) by(educ3) ///
 lpattern(dash) msymbol(X)) || ///
, xtitle("Age Group") ytitle("ASFR (births per thousand women)") ///
xtick(17(5)47) xla(17(5)47, val) plotregion(margin(b=0))  ///
legend(label(1 "JPFHS 2009") label(2 "JPFHS 2012") label(3 "JPFHS 2017/18") label(4 "JLMPS 2016"))

graph display

/* Figure NA. ASFR by education */
graph save "Graphs and Tables/ASFR_ed_overtime.gph", replace
graph export "Graphs and Tables/ASFR_ed_overtime.png", replace


***********************
* Parity and interval
***********************

use "Data/DHS_with_characteristics all.dta", clear

keep if round>=2009

gen cmcmarr=v509

keep indid cmcyrbirth_* cmcintdate cmcmarr sample_wt round

*Reordering births to sequence
reshape long cmcyrbirth_@, i(indid) j(bord)

rename bord old_bord_

sort indid cmcyrbirth

bysort indid: gen bord=_n

reshape wide cmcyrbirth_@ old_bord_@, i(indid) j(bord)

append using "Data/Eat/JLMPS 2016 cmcs.dta"

****Months since marriage
gen months_since_marriage=(cmcintdate-cmcmarr)

*Months between first birth and marriage
gen m_b1=cmcyrbirth_1-cmcmarr
*To present if censored
replace m_b1=cmcintdate-cmcmarr if cmcyrbirth_1==.

*Have a first birth
gen have_first=cmcyrbirth_1!=.

stset m_b1 if months_since_marriage<=60 [pw=sample_wt], failure(have_first==1)

stsum, by(round)

sts graph, by(round) failure tmax(48) ///
plot1opts(lpattern(l) lcolor(gs13)  lwidth(medthick) ) ///
plot2opts(lpattern(l) lcolor(gs10)  lwidth(medthick) ) ///
plot3opts(lpattern(l) lcolor(gs1)  lwidth(medthick) ) ///
plot4opts(lpattern(l) lcolor(gs7)  lwidth(medthick) ) ///
xtitle("Months since marriage") ytitle("Proportion with first birth") ///
xtick(0(5)45) xla(0(5)45, val) plotregion(margin(b=0))  ///
legend(label(1 "JPFHS 2009") label(2 "JPFHS 2012") label(3 "JLMPS 2016") label(4 "JPFHS 2017/18")) ///
title("Have married")

graph save "Graphs and Tables/m b1 dur.gph", replace
graph export "Graphs and Tables/m b1 dur.png", replace



****Months since first birth
gen months_since_b1=(cmcintdate-cmcyrbirth_1)

*Months between first birth and second birth
gen b1_b2=cmcyrbirth_2-cmcyrbirth_1
*To present if censored
replace b1_b2=cmcintdate-cmcyrbirth_1 if cmcyrbirth_2==.

*Have a second birth
gen have_2=cmcyrbirth_2!=.

stset b1_b2 if months_since_b1<=60 [pw=sample_wt], failure(have_2==1)

stsum, by(round)

sts graph, by(round) failure tmax(48) ///
plot1opts(lpattern(l) lcolor(gs13)  lwidth(medthick) ) ///
plot2opts(lpattern(l) lcolor(gs10)  lwidth(medthick) ) ///
plot3opts(lpattern(l) lcolor(gs1)  lwidth(medthick) ) ///
plot4opts(lpattern(l) lcolor(gs7)  lwidth(medthick) ) ///
xtitle("Months since first birth") ytitle("Proportion with second birth") ///
xtick(0(5)45) xla(0(5)45, val) plotregion(margin(b=0))  ///
legend(label(1 "JPFHS 2009") label(2 "JPFHS 2012") label(3 "JLMPS 2016") label(4 "JPFHS 2017/18")) ///
title("Have a first birth")

graph save "Graphs and Tables/b1 b2 dur.gph", replace
graph export "Graphs and Tables/b1 b2 dur.png", replace




****Months since second birth
gen months_since_b2=(cmcintdate-cmcyrbirth_2)

*Months between second birth and third birth
gen b2_b3=cmcyrbirth_3-cmcyrbirth_2
*To present if censored
replace b2_b3=cmcintdate-cmcyrbirth_2 if cmcyrbirth_3==.

*Have a third birth
gen have_3=cmcyrbirth_3!=.

stset b2_b3 if months_since_b2<=60 [pw=sample_wt], failure(have_3==1)

stsum, by(round)

sts graph, by(round) failure tmax(48) ///
plot1opts(lpattern(l) lcolor(gs13)  lwidth(medthick) ) ///
plot2opts(lpattern(l) lcolor(gs10)  lwidth(medthick) ) ///
plot3opts(lpattern(l) lcolor(gs1)  lwidth(medthick) ) ///
plot4opts(lpattern(l) lcolor(gs7)  lwidth(medthick) ) ///
xtitle("Months since second birth") ytitle("Proportion with third birth") ///
xtick(0(5)45) xla(0(5)45, val) plotregion(margin(b=0))  ///
legend(label(1 "JPFHS 2009") label(2 "JPFHS 2012") label(3 "JLMPS 2016") label(4 "JPFHS 2017/18")) ///
title("Have a second birth")


graph save "Graphs and Tables/b2 b3 dur.gph", replace
graph export "Graphs and Tables/b2 b3 dur.png", replace



****Months since third birth
gen months_since_b3=(cmcintdate-cmcyrbirth_3)

*Months between third birth and fourth birth
gen b3_b4=cmcyrbirth_4-cmcyrbirth_3
*To present if censored
replace b3_b4=cmcintdate-cmcyrbirth_3 if cmcyrbirth_4==.

*Have a fourth birth
gen have_4=cmcyrbirth_4!=.

stset b3_b4 if months_since_b3<=60 [pw=sample_wt], failure(have_4==1)

stsum, by(round)

sts graph, by(round) failure tmax(48) ///
plot1opts(lpattern(l) lcolor(gs13)  lwidth(medthick) ) ///
plot2opts(lpattern(l) lcolor(gs10)  lwidth(medthick) ) ///
plot3opts(lpattern(l) lcolor(gs1)  lwidth(medthick) ) ///
plot4opts(lpattern(l) lcolor(gs7)  lwidth(medthick) ) ///
xtitle("Months since third birth") ytitle("Proportion with fourth birth") ///
xtick(0(5)45) xla(0(5)45, val) plotregion(margin(b=0))  ///
legend(label(1 "JPFHS 2009") label(2 "JPFHS 2012") label(3 "JLMPS 2016") label(4 "JPFHS 2017/18")) ///
title("Have a third birth")


graph save "Graphs and Tables/b3 b4 dur.gph", replace
graph export "Graphs and Tables/b3 b4 dur.png", replace


grc1leg "Graphs and Tables/m b1 dur.gph" ///
"Graphs and Tables/b1 b2 dur.gph" ///
"Graphs and Tables/b2 b3 dur.gph" ///
"Graphs and Tables/b3 b4 dur.gph"

/* Figure 6: Failure by parity and interval */

graph save "Graphs and Tables/dur.gph", replace
graph export "Graphs and Tables/dur.png", replace

***********************
* Age displacement
***********************
**DHS
use "DHSs/Jordan 2012/JOPR6ADT/JOPR6AFL.dta", clear
append using "DHSs/Jordan 2017-2018/JOPR73DT/JOPR73FL.dta", gen(dhs1718)

*Round
gen round = hv007 
replace round = 2017 if round == 2018

*Jordanians only
drop if sh07 != 1 & round == 2012
drop if sh07a != 1 & round == 2017

*Age
ren hv105 age
drop if age >15

*Sample weight
gen sample_wt = hv005/1000000

keep round age sample_wt hhid hv005 hvidx hv002

save "Data/Eat/DHS age displacement.dta", replace

**JLMPS
use "Data/JLMPS 2016 xs v1.1 pt 1.dta", clear
drop q*
append using "Data/JLMPS 2010 v3.4.dta", gen(jlmps10)
keep if nationality_cl == 1

keep round age expan_indiv indid sex
save "Data/Eat/JLMPS age displacement.dta", replace

**Append
clear
append using "Data/Eat/JLMPS age displacement.dta", gen(jlmps)
append using "Data/Eat/DHS age displacement.dta", gen(dhs)
drop sex
save "Data/Eat/BA age displacement.dta", replace
 
lab def rnds 2010 "JLMPS 2010" 2012 "JPFHS 2012" 2016 "JLMPS 2016" 2017 "JPFHS 2017/18"
lab val round rnds

catplot age if age<15, by(round, note("")) ytitle("Frequency") ///
blabel(bar, pos(outside) size(2)) plotregion(m(0 6 1 1)) l1title("Age")
 
/* Figure A-1. Age displacement */
graph save "Graph" "Graphs and Tables/DHS age disp.gph", replace
graph export "Graphs and Tables/BA age disp.png", as(png) name("Graph") replace



******************************************
* Ideal number of children
******************************************

use "Data/DHS_with_characteristics all.dta", clear

tabu v614 round [aw=sample_wt], col nofreq

catplot v614 [aw=sample_wt], over(round) percent(round) ///
asyvars stack ytitle("Percentage") l1title("Round") ///
blabel(bar, pos(center) format(%3.0f) size(3)) plotregion(m(0 6 1 1)) ///
bar(1, bcolor(gs3) lcolor(gs1)) bar(2, bcolor(gs5) lcolor(gs1)) bar(3, bcolor(gs7) lcolor(gs1)) bar(4, bcolor(gs9) lcolor(gs1)) ///
bar(5, bcolor(gs11) lcolor(gs1)) bar(6, bcolor(gs13) lcolor(gs1)) bar(7, bcolor(gs15) lcolor(gs1)) bar(8, bcolor(gs16) lcolor(gs1))

/* Figure 10: Ideal number by wave */
 
graph save "Graphs and Tables/Ideal.gph", replace
graph export "Graphs and Tables/Ideal.png", as(png) replace

*By age group 

bysort agegrp: tabu v614 round if round>=2009 [aw=sample_wt], col nofreq

catplot v614 if round>=2009 [aw=sample_wt], over(round) percent(round agegrp) by(agegrp, note("")) ///
asyvars stack ytitle("Percentage") l1title("") ///
plotregion(m(0 6 1 1)) ///
bar(1, bcolor(gs3)) bar(2, bcolor(gs5)) bar(3, bcolor(gs7)) bar(4, bcolor(gs9)) ///
bar(5, bcolor(gs11)) bar(6, bcolor(gs12)) bar(7, bcolor(gs13)) bar(8, bcolor(gs14))

/* Ideal number by wave and age group */

 
graph save "Graphs and Tables/Ideal agegrp.gph", replace
graph export "Graphs and Tables/Ideal agegrp.png", as(png) replace


*By education

bysort educ_3cat: tabu v614 round if round>=2009 [aw=sample_wt], col nofreq

catplot v614 if round>=2009 [aw=sample_wt], over(round) percent(round educ_3cat) by(educ_3cat, note("")) ///
asyvars stack ytitle("Percentage") l1title("") ///
plotregion(m(0 6 1 1)) ///
bar(1, bcolor(gs3)) bar(2, bcolor(gs5)) bar(3, bcolor(gs7)) bar(4, bcolor(gs9)) ///
bar(5, bcolor(gs11)) bar(6, bcolor(gs12)) bar(7, bcolor(gs13)) bar(8, bcolor(gs14))

/* Ideal number by wave and ed. */

 
graph save "Graphs and Tables/Ideal educ_3cat.gph", replace
graph export "Graphs and Tables/Ideal educ_3cat.png", as(png) replace
 
 
**Stat: Means

*Recode non-numeric as ., actual
recode v613 (95=.) (96=.) (97/99=.), gen(v613_alt1)

*Overall over time
table round [pw=sample_wt], c(mean v613_alt1)

*By age group
table round agegrp5 [pw=sample_wt], c(mean v613_alt1)


*By education
table round educ_3cat [pw=sample_wt], c(mean v613_alt1)


/*******************************************************************/
/*Table A-1. Birth date incompleteness & age heaping (Myers' index)*/
/*******************************************************************/

**DHS
*Children (BR)
use "DHSs/Jordan 2002/JOBR42DT/JOBR42FL.dta", clear
gen round = 2002
append using "DHSs/Jordan 2007/JOBR51DT/JOBR51FL.dta"
replace round = 2007 if round == .
append using "DHSs/Jordan 2009/JOBR61DT/JOBR61FL.dta"
replace round = 2009 if round == .
append using "DHSs/Jordan 2012/JOBR6ADT/JOBR6AFL.dta"
replace round = 2012 if round == .
ren v003 pn

merge m:1 round v001 v002 pn using "Data/Eat/DHS nationality var.dta", keepusing(sh07) update

sort round v001 v002 pn bidx
drop if bidx == .
keep if round == 2002 | sh07 == 1
ren b8 age

foreach n in 02 07 09 12 {
    tab b10 if round == 20`n', mi
    myers age if round == 20`n', range(0 29) gen(myers_index`n')
}

/* 2017/18 */
use "DHSs/Jordan 2017-2018/JOBR73DT/JOBR73FL.dta", clear
*Jordanians only
keep if s123a == 1
tab b10, mi
ren b8 age
myers age, range(0 29) gen(myers_index)

*Women 
use "Data/DHS_with_characteristics all.dta", clear
drop if nevmar == 1

tab v014 if round == 2002, mi
myers age if round == 2002, range(15 44) gen(myers_index02)

tab v014 if round == 2007, mi
myers age if round == 2007, range(15 44) gen(myers_index07)

tab v014 if round == 2009, mi
myers age if round == 2009, range(15 44) gen(myers_index09)

tab v014 if round == 2012, mi
myers age if round == 2012, range(15 44) gen(myers_index12)

tab v014 if round == 2017, mi
myers age if round == 2017, range(15 44) gen(myers_index17)

**JLMPS
use "Data/JLMPS 2016 xs v1.1 pt 1.dta", clear
drop q*
append using "Data/JLMPS 2010 v3.4.dta", gen(jlmps10)
keep if nationality_cl == 1

gen missing_date = 1 if brthyr == . | brthmth == . | age == .

/* 2010 */
tab missing_date if sex==2 & round == 2010 & age >= 15 & age <50, mi
tab missing_date if round == 2010 & age >= 0 & age <= 35, mi

myers age if round == 2010, range(0 29) gen(myers_child10)
myers age if sex==2 & round == 2010, range(15 44) gen(myers_women10)

/* 2016 */
tab missing_date if sex==2 & round == 2016 & age >= 15 & age <50, mi
tab missing_date if round == 2016 & age >= 0 & age <= 35, mi

myers age if round == 2016, range(0 29) gen(myers_child16)
myers age if sex==2 & round == 2016, range(15 44) gen(myers_women16)


