***BA Marr Fert
*DHS Marr Data creation
*v4
*Caroline Krafft, Elizabeth Kula
*Original: 2020/06/26
*Updated: 2020/07/18


***************************
*Annualized marital status - women only - 2017/18 data
***************************

use "Data/DHS_with_characteristics 2017.dta", clear

*Jordanians only
fre nationality

*Women only, ages 15-49
fre age
rename age age

*age at marriage, current age if not married
fre agemarr

***Time invariant
*Governorate
rename v024 gov
fre gov

keep age agemarr evermarried brthyr indid sample_wt ///
gov urban  educ_3cat ///
 yrschl

*Expanding for marriage up to age 49

compress

*Expand to allow for TVCs
drop if agemarr==.
expand agemarr

bysort indid: gen spell_yr = _n
label variable spell_yr "spell year identifier, by subject"

tabu spell_yr, miss

*Calendar year
gen year=brthyr+spell_yr
tabu year, miss

*Married
bysort indid: gen marr = 1 if evermarried==1 & _n==_N
label variable marr "married at this age"

recode marr (.=0)

tabu marr evermarried, miss

***Creating a time variable

*We can recode year into cohorts
keep if year>=2000 & year<=2016

recode year (2000/2004=1) ///
(2005/2007=2) (2008/2009=3) (2010/2016=4) (.=.) (9998=.), gen(tyr)

tabu spell_yr marr, miss

*Drop if below 15 or above 49
drop if spell_yr<15
drop if spell_yr>49

***Combining <18 & >32
replace spell_yr=18 if spell_yr<18
replace spell_yr=32 if spell_yr>32 & spell_yr!=.

*****************
*Time-varying Covariates
*****************

*In schoool
gen inschool=.
replace inschool=1 if inschool==. & year>=brthyr+6 & year<=yrschl+brthyr+6
replace inschool=0 if inschool==. & (year<brthyr+6 | year>yrschl+brthyr+6)

tabu inschool, miss
 
la var inschool "In school"
 
keep marr spell_yr inschool indid  ///
year sample_wt ///
educ_3cat gov urban
 
save "Data/DHS 2017 annual marr.dta", replace
