***DHS Marr 
*Descriptives
*v28
*Libby Kula, Caroline Krafft
*Original: 4/22/20
*Updated: 2021.04.15

clear
set scheme s1mono

************
* Table of never married by age groups
*********
use "Data/DHS_with_characteristics all.dta", clear

keep if round==2009 | round==2012 | round==2017

keep sample_wt evermarried agegrp5 round

append using "Data/Eat/JLMPS 2016 Jordanian women.dta", keep(agegrp2 expan_indiv evermarried round)

fre agegrp2
fre agegrp5

replace agegrp5=agegrp2-3 if round==2016
replace sample_wt=expan_indiv if round==2016
drop expan agegrp2

gen nevmar = 1 if evermarried == 0
replace nevmar = 0 if evermarried == 1
gen perc_nevmar = nevmar*100
format perc_nevmar %4.0f

tab agegrp5 round [aw=sample_wt], summ(perc_nevmar) nofreq nostandard 

/* Table 3. Ever married by age group and round */
tabout agegrp5 round using "Graphs and Tables/Table3_messy.csv" [aw=sample_wt], ///
 replace style(csv) c(mean perc_nevmar) f(0 0) clab(%) sum h1(nil) ///
 h2(Age group | JPFHS 2009 | JPFHS 2012 | JLMPS 2016 | JPFHS 2017/18) ///
 h3(nil) ptotal(single)
