***Jordan DHS Contraception Descriptive Statistics
*Preparing data on never-married women to merge with women's survey data
*v7
*Libby Kula, Caroline Krafft
*Original: 4/9/2020
*Update: 7/01/2020


/* All years (2002 - 2017/18) */
use "DHSs/Jordan 2017-2018/JOPR73DT/JOPR73FL.dta", clear
gen round=2017
append using "DHSs/Jordan 2012/JOPR6ADT/JOPR6AFL.dta", gen(unmarr2012)
replace round=2012 if round==. 
append using "DHSs/Jordan 2009/JOPR61DT/JOPR61FL.dta", gen(unmarr2009)
replace round=2009 if round==. 
append using "DHSs/Jordan 2007/JOPR51DT/JOPR51FL.dta", gen(unmarr2007)
replace round=2007 if round==. 
append using "DHSs/Jordan 2002/JOPR42DT/JOPR42FL.dta", gen(unmarr2002)
replace round=2002 if round==.

***Only never-married women 15-49
*Women
keep if hv104 == 2

*Aged 15-49 at time of survey
keep if hv105 >= 15 & hv105 <=49

*De jure population used (unless otherwise specified)
keep if hv103 == 1

*Never married
replace hv115 = 0 if hv115 == 9
keep if hv115 == 0


/*Rename variables to match IR*/

*Nationality
rename sh07a s123a 
replace s123a = sh07 if sh07!=.
tab s123a hv007, mi

*Rename
rename hv* v*

*Marital status
gen marital_status = 0 
tab marital_status, mi

*Birthdate
replace sh06m = smh06a if v007 == 2002
replace sh06y = syh06a if v007 == 2002


**
save "Data/Eat/DHS never-married.dta", replace
